import React from 'react';
import { SchemaInitializerItemOptions, useCollectionDataSource } from '@nocobase/client';
import { FilterDynamicComponent } from '../components/FilterDynamicComponent';
declare function AssociatedConfig({ value, onChange, ...props }: {
    [x: string]: any;
    value: any;
    onChange: any;
}): JSX.Element;
declare const _default: {
    title: string;
    type: string;
    group: string;
    description: string;
    fieldset: {
        aggregator: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            enum: {
                label: string;
                value: string;
            }[];
            required: boolean;
            default: string;
        };
        associated: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            enum: {
                label: string;
                value: boolean;
            }[];
            required: boolean;
            default: boolean;
            'x-reactions': {
                target: string;
                effects: string[];
                fulfill: {
                    state: {
                        value: any;
                    };
                };
            }[];
        };
        collectionField: {
            type: string;
            'x-decorator': string;
            'x-decorator-props': {
                value: {
                    designable: boolean;
                };
            };
            'x-component': string;
            properties: {
                row: {
                    type: string;
                    'x-component': string;
                    properties: {
                        target: {
                            type: string;
                            'x-component': string;
                            properties: {
                                collection: {
                                    title: string;
                                    'x-component-props': {
                                        className: any;
                                    };
                                    'x-reactions': any[];
                                    type: string;
                                    required: boolean;
                                    'x-decorator': string;
                                    'x-component': string;
                                };
                                association: {
                                    type: string;
                                    title: string;
                                    'x-decorator': string;
                                    'x-component': string;
                                    'x-component-props': {
                                        changeOnSelect: boolean;
                                    };
                                    'x-reactions': {
                                        dependencies: string[];
                                        fulfill: {
                                            state: {
                                                visible: string;
                                            };
                                        };
                                    }[];
                                    required: boolean;
                                };
                            };
                        };
                        field: {
                            type: string;
                            'x-component': string;
                            properties: {
                                'params.field': {
                                    type: string;
                                    title: string;
                                    'x-decorator': string;
                                    'x-component': string;
                                    'x-component-props': {
                                        filter(field: any): boolean;
                                    };
                                    required: boolean;
                                    'x-reactions': {
                                        dependencies: string[];
                                        fulfill: {
                                            state: {
                                                visible: string;
                                            };
                                        };
                                    }[];
                                };
                            };
                        };
                    };
                };
            };
        };
        params: {
            type: string;
            properties: {
                distinct: {
                    type: string;
                    title: string;
                    'x-decorator': string;
                    'x-component': string;
                    'x-reactions': {
                        dependencies: string[];
                        fulfill: {
                            state: {
                                visible: string;
                            };
                        };
                    }[];
                };
                filter: {
                    'x-reactions': {
                        dependencies: string[];
                        fulfill: {
                            state: {
                                visible: string;
                            };
                        };
                    }[];
                    type: string;
                    title: string;
                    'x-decorator': string;
                    'x-component': string;
                    'x-component-props': {
                        useProps(): {
                            options: any[];
                            className: string;
                        };
                        dynamicComponent: string;
                    };
                };
            };
        };
    };
    view: {};
    scope: {
        useCollectionDataSource: typeof useCollectionDataSource;
    };
    components: {
        SchemaComponentContext: React.Context<import("@nocobase/client").ISchemaComponentContext>;
        FilterDynamicComponent: typeof FilterDynamicComponent;
        FieldsSelect: React.MemoExoticComponent<import("@formily/react").ReactFC<Omit<any, "ref">>>;
        ValueBlock: (() => JSX.Element) & {
            Initializer: (props: any) => JSX.Element;
            Result: (props: any) => JSX.Element;
        };
        AssociatedConfig: typeof AssociatedConfig;
    };
    useVariables({ key, title }: {
        key: any;
        title: any;
    }, { types, fieldNames }: {
        types: any;
        fieldNames?: {
            readonly label: "label";
            readonly value: "value";
            readonly children: "children";
        };
    }): {
        value: any;
        label: any;
    };
    useInitializers(node: any): SchemaInitializerItemOptions | null;
};
export default _default;
