import { SchemaInitializerItemOptions } from '@nocobase/client';
import React from 'react';
import { RadioWithTooltip } from '../components/RadioWithTooltip';
import { WorkflowVariableInput, WorkflowVariableTextArea } from '../variable';
declare const _default: {
    title: string;
    type: string;
    group: string;
    description: string;
    fieldset: {
        dynamic: {
            type: string;
            'x-component': string;
            default: boolean;
        };
        engine: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                options: any;
            };
            required: boolean;
            default: string;
            'x-reactions': {
                dependencies: string[];
                fulfill: {
                    state: {
                        visible: string;
                    };
                };
            };
        };
        expression: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                changeOnSelect: boolean;
            };
            "x-validator"(value: any, rules: any, { form }: {
                form: any;
            }): string;
            'x-reactions': ({
                dependencies: string[];
                fulfill: {
                    state: {
                        visible: string;
                    };
                    schema?: undefined;
                };
            } | {
                dependencies: string[];
                fulfill: {
                    schema: {
                        description: string;
                    };
                    state?: undefined;
                };
            })[];
            required: boolean;
        };
        scope: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                changeOnSelect: boolean;
                variableOptions: {
                    types: {
                        type: string;
                        options: {
                            collection: string;
                            entity: boolean;
                        };
                    }[];
                };
            };
            'x-reactions': {
                dependencies: string[];
                fulfill: {
                    state: {
                        visible: string;
                    };
                };
            };
        };
    };
    view: {};
    scope: {
        renderEngineReference: (key: string) => React.JSX.Element;
    };
    components: {
        WorkflowVariableInput: typeof WorkflowVariableInput;
        WorkflowVariableTextArea: typeof WorkflowVariableTextArea;
        RadioWithTooltip: typeof RadioWithTooltip;
        DynamicConfig: ({ value, onChange }: {
            value: any;
            onChange: any;
        }) => React.JSX.Element;
        ValueBlock: (() => JSX.Element) & {
            Initializer: (props: any) => JSX.Element;
            Result: (props: any) => JSX.Element;
        };
    };
    useVariables({ key, title }: {
        key: any;
        title: any;
    }, { types, fieldNames }: {
        types: any;
        fieldNames?: import("@nocobase/client").FieldNames;
    }): {
        [x: string]: any;
    };
    useInitializers(node: any): SchemaInitializerItemOptions;
};
export default _default;
