import React from 'react';
import { ISchema } from '@formily/react';
import { SchemaInitializerItemOptions } from '@nocobase/client';
import { JOB_STATUS } from '../../constants';
type ValueOf<T> = T[keyof T];
export type FormType = {
    type: 'create' | 'update' | 'custom';
    title: string;
    actions: ValueOf<typeof JOB_STATUS>[];
    collection: string | {
        name: string;
        fields: any[];
        [key: string]: any;
    };
};
export type ManualFormType = {
    title: string;
    config: {
        useInitializer: ({ collections }?: {
            collections: any[];
        }) => SchemaInitializerItemOptions;
        initializers?: {
            [key: string]: React.FC;
        };
        components?: {
            [key: string]: React.FC;
        };
        parseFormOptions(root: ISchema): {
            [key: string]: FormType;
        };
    };
    block: {
        scope?: {
            [key: string]: () => any;
        };
        components?: {
            [key: string]: React.FC;
        };
    };
};
export declare const manualFormTypes: any;
export declare function SchemaConfig({ value, onChange }: {
    value: any;
    onChange: any;
}): React.JSX.Element;
export declare function SchemaConfigButton(props: any): React.JSX.Element;
export {};
